QGIS desktop 2.18.25 raster clip

2018-11-07 12:07 PM - ayar anass

Status: Closed

Priority: Normal

Assignee:

Category: Processing/GDAL

Affected QGIS version:2.18.24 Regression?: No

Operating System: Windows 10 Easy fix?: No

Pull Request or Patch supplied:No Resolution: worksforme

Crashes QGIS or corrupts data:No Copied to github as #: 28215

Description

the functionnality under menu Raster>Extraction>Cut raster doesn't work. I compared generated code in QGIS 2.14 which is working and

I found that in 2.18.25 version the tag -of GTiff is replaced by -of ERS.

code in 2.14.22

gdalwarp -dstnodata 255 -q -cutline "C:\\Users\\ayara\\Downloads\\Compressed\\mes fichiers\\1902_1.shp" -crop_to_cutline -tr

0.0421091294715 0.0421091294715 -of GTiff C:\Users\ayara\Desktop\1902_georef.tif C:/Users/ayara/Desktop/projet_AUO/im/b.tif

code in 2.18.25

gdalwarp -dstnodata 255 -q -cutline "C:\\Users\\ayara\\Downloads\\Compressed\\mes fichiers\\1902_1.shp" -crop_to_cutline -tr

0.0421091294715 0.0421091294715 -of ERS C:\Users\ayara\Desktop\1902_georef.tif C:/Users/ayara/Desktop/projet_AUO/im/d.tif

History

#1 - 2018-11-07 01:36 PM - Giovanni Manghi

- Easy fix? changed from Yes to No

- Crashes QGIS or corrupts data changed from Yes to No

- Status changed from Open to Feedback

try the equivalent tool in the Processing toolbox.

#2 - 2019-01-21 12:35 AM - Jürgen Fischer

Please test with QGIS 3.4 - QGIS 2.18 reached it's end of life.

#3 - 2019-01-30 03:09 PM - Alexander Bruy

- Resolution set to worksforme

- Status changed from Feedback to Closed

Works fine in master/3.4. Please reopen if necessary.
